Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTElseIfStatement

    java.lang.Object
      |
      +--org.apache.velocity.runtime.parser.node.SimpleNode
            |
            +--org.apache.velocity.runtime.parser.node.ASTElseIfStatement

All Implemented Interfaces:
  Node

public class ASTElseIfStatement
extends SimpleNode

This class is responsible for handling the ElseIf VTL control statement. Please look at the Parser.jjt file which is what controls the generation of this class.

Version:
  $Id: ASTElseIfStatement.java,v 1.9 2001/10/22 03:53:24 jon Exp $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, parent, parser, rsvc, state`

Constructor Summary
`ASTElseIfStatement(int id)`
`ASTElseIfStatement(Parser p, int id)`

Method Summary
`boolean` | `evaluate(InternalContextAdapter context)` An ASTElseStatement is true if the expression it contains evaluates to true.
`java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`boolean` | `render(InternalContextAdapter context, java.io.Writer writer)` renders the block

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getType, init, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, setFirstToken, setInfo, setInvalid, toString, value`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### ASTElseIfStatement

    public ASTElseIfStatement(int id)

### ASTElseIfStatement

    public ASTElseIfStatement(Parser p,
                              int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(ParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.
  Overrides:
    `jjtAccept` in class `SimpleNode`

### evaluate

    public boolean evaluate(InternalContextAdapter context)
                     throws MethodInvocationException

  An ASTElseStatement is true if the expression it contains evaluates to true. Expressions know how to evaluate themselves, so we do that here and return the value back to ASTIfStatement where this node was originally asked to evaluate itself.
  Overrides:
    `evaluate` in class `SimpleNode`

### render

    public boolean render(InternalContextAdapter context,
                          java.io.Writer writer)
                   throws java.io.IOException,
                          MethodInvocationException,
                          ResourceNotFoundException,
                          ParseErrorException

  renders the block
  Overrides:
    `render` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.